## erfs 1.4

=== packaging/Makefile ===

VERSION=1.4
BIN_NAME=erfs
#PKG_NAME=${BIN_NAME}-${VERSION}
PKG_NAME=${BIN_NAME}-${VERSION}

dist:
	mkdir -p ${PKG_NAME}
	cp -a ../license ../man ../${BIN_NAME} ./${PKG_NAME}/
	tar cfz ${PKG_NAME}.tar.gz ${PKG_NAME}
	rm -rf ./${PKG_NAME}/
	ls -al ./${PKG_NAME}.tar.gz


debuild-setup: dist
	rm -rf build
	mkdir build
	cp ${PKG_NAME}.tar.gz build && \
	cd build && \
	tar xfz ${PKG_NAME}.tar.gz
	-cd build/${PKG_NAME} && \
	dh_make -sy -f ../${PKG_NAME}.tar.gz && \
	rm -f debian/*.EX debian/*.ex debian/*.docs debian/README.* && \
	cp -a ../../debian/* debian/ && \
	uscan . 

debian-debuild: debuild-setup
	cd build/${PKG_NAME} && \
	debuild -S
	lintian --pedantic -IE build/${BIN_NAME}_*.dsc

clean:
	rm -rf ./build ./${PKG_NAME}.tar.gz

debian: debian-debuild
	echo Done.

=== debian/changelog ===
erfs (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add myself as Uploader.
    + Add openssl in Depends. (Closes: #981770)
    + Bump Standars-Version 4.5.1.
  * debian/tests/control
    + Add "isolation-machine" autopkgtest restriction, 
      this test does not work in schroot environment.

 -- Daniel Echeverri <epsilon@debian.org>  Tue, 09 Feb 2021 19:25:36 -0500

erfs (1.3-1) unstable; urgency=medium

  * Initial release (closes: #970781)

 -- skyper <skyper@thc.org>  Wed, 17 Jun 2020 10:11:11 +0100

=== debian/control ===
Source: erfs
Section: net
Priority: optional
Maintainer: skyper <skyper@thc.org>
Uploaders: Daniel Echeverri <epsilon@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/hackerschoice/erfs
Rules-Requires-Root: no

Package: erfs
Architecture: all
Depends: encfs,
	sshfs,
	openssl,
	${misc:Depends}
Description: Client to use a free encrypted cloud based network file system
 An easy-to-use, easy-to-setup, hassle-free secure file system with the
 encrypted data being stored on a remote cloud server without having to
 trust the server.
 .
 All key material is created on the user's computer and never stored or
 transferred to the server.
 .
 All data is locally encrypted (including the file name). The encrypted
 data (and only that!) is stored in the cloud. The data remains secure even
 if the cloud server is compromised. It does not need root or superuser
 privileges. No need to run your own server. All you need is the bash
 script (literally). It is one single command to add and use a
 file system:
 .
 $ erfs mount aDe5F2ik3x35x7pfAEAWdC5Y ~/secure

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@
Restrictions: isolation-machine

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/erfs-client-$1\.tar\.gz/ \
  https://github.com/hackerschoice/erfs/tags .*/v?(\d\S+)\.tar\.gz
